/*
** Module   : BufferHandle.java
** Abstract : interface which contains declaration for the DEFAULT-BUFFER-HANDLE attribute
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description---------------------------------
** 001 CS  20130322 Created initial version.
**/
package com.goldencode.p2j.persist;

import com.goldencode.p2j.util.*;


/**
 * Defines the public API for the DEFAULT-BUFFER-HANDLE attribute.
 */
public interface BufferHandle
{
   /**
    * Obtain the handle to the buffer that was created by default for this temporary table. Every
    * dynamic temp-table is created with at least one buffer. This buffer’s object handle is
    * returned by this method. 
    * 
    * Note that it cannot be called until the table has been prepared using 
    * <code>tempTablePrepare()</code> method.
    * 
    * This method is the P2J equivalent of <code>DEFAULT-BUFFER-HANDLE</code>
    * attribute.
    * 
    * @return  The default buffer handle for the temporary table.
    */
   public handle defaultBufferHandle();
}
